function main;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                            Michael Pokojovy                             % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(1);

set(gcf, 'PaperUnits', 'centimeters');
xSize = 13; ySize = 12;
xLeft = (21 - xSize)/2; yTop = (30 - ySize)/2;
set(gcf,'PaperPosition', [xLeft yTop xSize ySize]);
set(gcf,'Position',[0 0 xSize*50 ySize*50]);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
t = title('Kurve $G_{R}$ mit positivem Umlauf, $R = 3$', 'interpreter', 'latex');
set(t, 'FontSize', 16);

hold on;

R = 3;

N = 100;
phi = linspace(asin(1/R^2), 2*pi - asin(1/R^2), N);

x = R*cos(phi);
y = R*sin(phi);
plot(x, y);
arrow(x, y, 25, 1);
arrow(x, y, 50, 1);
arrow(x, y, 75, 1);

phi = linspace(pi/2, 3*pi/2, N);
x = 1/R*cos(-phi);
y = 1/R*sin(-phi);
plot(x, y);
arrow(x, y, 50, 10);

x = linspace(0, R, N);
y = 1/R*ones(1, N);
plot(x, y);
arrow(x, y, 50, 5);

x = linspace(0, R, N);
y = -1/R*ones(1, N);
plot(x, y);
arrow(x, y, 50, -5);

axis([-R*1.05 R*1.05 -R*1.05 R*1.05]);

xlabel('Re z');
ylabel('Im z');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end

function arrow(x, y, i, r)
    t(1) = x(i) - x(i - 1);
    t(2) = y(i) - y(i - 1);
    
    n(1) = t(2);
    n(2) = -t(1);
    
    plot([x(i) x(i) - r*(t(1) + n(1))], [y(i) y(i) - r*(t(2) + n(2))]); 
    plot([x(i) x(i) - r*(t(1) - n(1))], [y(i) y(i) - r*(t(2) - n(2))]); 
end